import App from './App'
import { hideWxHomeButton } from '@/common/mp-nav.js'

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
Vue.mixin({
	onShow() {
		hideWxHomeButton()
	}
})
App.mpType = 'app'
const app = new Vue({
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
import { hideWxHomeButton } from '@/common/mp-nav.js'
export function createApp() {
  const app = createSSRApp(App)
  app.mixin({
    onShow() {
      hideWxHomeButton()
    }
  })
  return {
    app
  }
}
// #endif